Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataWriter Class Reference

`#include <vtkDataWriter.h>`

Inheritance diagram for vtkDataWriter:

[legend]
Collaboration diagram for vtkDataWriter:

[legend]
List of all members.

## Detailed Description

helper class for objects that write vtk data files

Date:
  2002/12/11 22:46:18

Revision:
  1.54

vtkDataWriter is a helper class that opens and writes the vtk header and point data (e.g., scalars, vectors, normals, etc.) from a vtk data file. See text for various formats.

See also:
  vtkDataSetWriter vtkPolyDataWriter vtkStructuredGridWriter vtkStructuredPointsWriter vtkUnstructuredGridWriter vtkFieldDataWriter vtkRectilinearGridWriter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (36%)
  - Martin, Ken (27%)
  - Geveci, Berk (11%)
  - Law, Charles (8%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkDataWriter.cxx)`
  - .`h` (`/IO/vtkDataWriter.h)`

Definition at line 57 of file vtkDataWriter.h.

## Public Types
typedef vtkWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
char * | RegisterAndGetOutputString ()
virtual ostream * | OpenVTKFile ()
int | WriteHeader (ostream *fp)
int | WritePoints (ostream *fp, vtkPoints *p)
int | WriteCoordinates (ostream *fp, vtkDataArray *coords, int axes)
int | WriteCells (ostream *fp, vtkCellArray *cells, const char *label)
int | WriteCellData (ostream *fp, vtkDataSet *ds)
int | WritePointData (ostream *fp, vtkDataSet *ds)
int | WriteFieldData (ostream *fp, vtkFieldData *f)
int | WriteDataSetData (ostream *fp, vtkDataSet *ds)
void | CloseVTKFile (ostream *fp)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetWriteToOutputString (int)
virtual int | GetWriteToOutputString ()
virtual void | WriteToOutputStringOn ()
virtual void | WriteToOutputStringOff ()
virtual int | GetOutputStringLength ()
virtual char * | GetOutputString ()
unsigned char * | GetBinaryOutputString ()
virtual void | SetHeader (const char *)
virtual char * | GetHeader ()
virtual void | SetFileType (int)
virtual int | GetFileType ()
void | SetFileTypeToASCII ()
void | SetFileTypeToBinary ()
virtual void | SetScalarsName (const char *)
virtual char * | GetScalarsName ()
virtual void | SetVectorsName (const char *)
virtual char * | GetVectorsName ()
virtual void | SetTensorsName (const char *)
virtual char * | GetTensorsName ()
virtual void | SetNormalsName (const char *)
virtual char * | GetNormalsName ()
virtual void | SetTCoordsName (const char *)
virtual char * | GetTCoordsName ()
virtual void | SetLookupTableName (const char *)
virtual char * | GetLookupTableName ()
virtual void | SetFieldDataName (const char *)
virtual char * | GetFieldDataName ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataWriter * | SafeDownCast (vtkObject *o)
vtkDataWriter * | New ()
## Protected Methods
| vtkDataWriter ()
| ~vtkDataWriter ()
void | WriteData ()
int | WriteArray (ostream *fp, int dataType, vtkDataArray *data, const char *format, int num, int numComp)
int | WriteScalarData (ostream *fp, vtkDataArray *s, int num)
int | WriteVectorData (ostream *fp, vtkDataArray *v, int num)
int | WriteNormalData (ostream *fp, vtkDataArray *n, int num)
int | WriteTCoordData (ostream *fp, vtkDataArray *tc, int num)
int | WriteTensorData (ostream *fp, vtkDataArray *t, int num)
## Protected Attributes
int | WriteToOutputString
char * | OutputString
int | OutputStringLength
int | OutputStringAllocatedLength
char * | FileName
char * | Header
int | FileType
char * | ScalarsName
char * | VectorsName
char * | TensorsName
char * | TCoordsName
char * | NormalsName
char * | LookupTableName
char * | FieldDataName

## Member Typedef Documentation

typedef vtkWriter vtkDataWriter::Superclass

| Reimplemented from vtkWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter. Definition at line 60 of file vtkDataWriter.h.

## Constructor & Destructor Documentation

vtkDataWriter::vtkDataWriter | ( |  | ) | `[protected]`

vtkDataWriter::~vtkDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

int vtkDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

virtual int vtkDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

vtkDataWriter* vtkDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

void vtkDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

vtkDataWriter* vtkDataWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkObject. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

virtual void vtkDataWriter::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify file name of vtk polygon data file to write.

virtual char* vtkDataWriter::GetFileName | ( |  | ) | `[virtual]`

| Specify file name of vtk polygon data file to write.

virtual void vtkDataWriter::SetWriteToOutputString | ( | int |  | ) | `[virtual]`

| Enable writing to an OutputString instead of the default, a file.

virtual int vtkDataWriter::GetWriteToOutputString | ( |  | ) | `[virtual]`

| Enable writing to an OutputString instead of the default, a file.

virtual void vtkDataWriter::WriteToOutputStringOn | ( |  | ) | `[virtual]`

| Enable writing to an OutputString instead of the default, a file.

virtual void vtkDataWriter::WriteToOutputStringOff | ( |  | ) | `[virtual]`

| Enable writing to an OutputString instead of the default, a file.

virtual int vtkDataWriter::GetOutputStringLength | ( |  | ) | `[virtual]`

| When WriteToOutputString in on, then a string is allocated, written to, and can be retrieved with these methods. The string is deleted during the next call to write ...

virtual char* vtkDataWriter::GetOutputString | ( |  | ) | `[virtual]`

| When WriteToOutputString in on, then a string is allocated, written to, and can be retrieved with these methods. The string is deleted during the next call to write ...

unsigned char* vtkDataWriter::GetBinaryOutputString | ( |  | ) | `[inline]`

| When WriteToOutputString in on, then a string is allocated, written to, and can be retrieved with these methods. The string is deleted during the next call to write ... Definition at line 86 of file vtkDataWriter.h.

char* vtkDataWriter::RegisterAndGetOutputString | ( |  | ) |

| This convenience method returns the string, sets the IVAR to NULL, so that the user is responsible for deleting the string. I am not sure what the name should be, so it may change in the future.

virtual void vtkDataWriter::SetHeader | ( | const char * |  | ) | `[virtual]`

| Specify the header for the vtk data file.

virtual char* vtkDataWriter::GetHeader | ( |  | ) | `[virtual]`

| Specify the header for the vtk data file.

virtual void vtkDataWriter::SetFileType | ( | int |  | ) | `[virtual]`

| Specify file type (ASCII or BINARY) for vtk data file.

virtual int vtkDataWriter::GetFileType | ( |  | ) | `[virtual]`

| Specify file type (ASCII or BINARY) for vtk data file.

void vtkDataWriter::SetFileTypeToASCII | ( |  | ) | `[inline]`

| Specify file type (ASCII or BINARY) for vtk data file. Definition at line 105 of file vtkDataWriter.h.

void vtkDataWriter::SetFileTypeToBinary | ( |  | ) | `[inline]`

| Specify file type (ASCII or BINARY) for vtk data file. Definition at line 106 of file vtkDataWriter.h.

virtual void vtkDataWriter::SetScalarsName | ( | const char * |  | ) | `[virtual]`

| Give a name to the scalar data. If not specified, uses default name "scalars".

virtual char* vtkDataWriter::GetScalarsName | ( |  | ) | `[virtual]`

| Give a name to the scalar data. If not specified, uses default name "scalars".

virtual void vtkDataWriter::SetVectorsName | ( | const char * |  | ) | `[virtual]`

| Give a name to the vector data. If not specified, uses default name "vectors".

virtual char* vtkDataWriter::GetVectorsName | ( |  | ) | `[virtual]`

| Give a name to the vector data. If not specified, uses default name "vectors".

virtual void vtkDataWriter::SetTensorsName | ( | const char * |  | ) | `[virtual]`

| Give a name to the tensors data. If not specified, uses default name "tensors".

virtual char* vtkDataWriter::GetTensorsName | ( |  | ) | `[virtual]`

| Give a name to the tensors data. If not specified, uses default name "tensors".

virtual void vtkDataWriter::SetNormalsName | ( | const char * |  | ) | `[virtual]`

| Give a name to the normals data. If not specified, uses default name "normals".

virtual char* vtkDataWriter::GetNormalsName | ( |  | ) | `[virtual]`

| Give a name to the normals data. If not specified, uses default name "normals".

virtual void vtkDataWriter::SetTCoordsName | ( | const char * |  | ) | `[virtual]`

| Give a name to the texture coordinates data. If not specified, uses default name "textureCoords".

virtual char* vtkDataWriter::GetTCoordsName | ( |  | ) | `[virtual]`

| Give a name to the texture coordinates data. If not specified, uses default name "textureCoords".

virtual void vtkDataWriter::SetLookupTableName | ( | const char * |  | ) | `[virtual]`

| Give a name to the lookup table. If not specified, uses default name "lookupTable".

virtual char* vtkDataWriter::GetLookupTableName | ( |  | ) | `[virtual]`

| Give a name to the lookup table. If not specified, uses default name "lookupTable".

virtual void vtkDataWriter::SetFieldDataName | ( | const char * |  | ) | `[virtual]`

| Give a name to the field data. If not specified, uses default name "field".

virtual char* vtkDataWriter::GetFieldDataName | ( |  | ) | `[virtual]`

| Give a name to the field data. If not specified, uses default name "field".

virtual ostream* vtkDataWriter::OpenVTKFile | ( |  | ) | `[virtual]`

| Open a vtk data file. Returns NULL if error.

int vtkDataWriter::WriteHeader | ( | ostream * | fp | ) |

| Write the header of a vtk data file. Returns 0 if error.

int vtkDataWriter::WritePoints | ( | ostream * | fp,
|  | vtkPoints * | p
| ) |

| Write out the points of the data set.

int vtkDataWriter::WriteCoordinates | ( | ostream * | fp,
|  | vtkDataArray * | coords,
|  | int | axes
| ) |

| Write out coordinates for rectilinear grids.

int vtkDataWriter::WriteCells | ( | ostream * | fp,
|  | vtkCellArray * | cells,
|  | const char * | label
| ) |

| Write out the cells of the data set.

int vtkDataWriter::WriteCellData | ( | ostream * | fp,
|  | vtkDataSet * | ds
| ) |

| Write the cell data (e.g., scalars, vectors, ...) of a vtk dataset. Returns 0 if error.

int vtkDataWriter::WritePointData | ( | ostream * | fp,
|  | vtkDataSet * | ds
| ) |

| Write the point data (e.g., scalars, vectors, ...) of a vtk dataset. Returns 0 if error.

int vtkDataWriter::WriteFieldData | ( | ostream * | fp,
|  | vtkFieldData * | f
| ) |

| Write out the field data.

int vtkDataWriter::WriteDataSetData | ( | ostream * | fp,
|  | vtkDataSet * | ds
| ) |

| Write out the data associated with the dataset (i.e. field data owned by the dataset itself - distinct from that owned by the cells or points).

void vtkDataWriter::CloseVTKFile | ( | ostream * | fp | ) |

| Close a vtk file.

void vtkDataWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkWriter. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataSetWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, and vtkUnstructuredGridWriter.

int vtkDataWriter::WriteArray | ( | ostream * | fp,
|  | int | dataType,
|  | vtkDataArray * | data,
|  | const char * | format,
|  | int | num,
|  | int | numComp
| ) | `[protected]`

int vtkDataWriter::WriteScalarData | ( | ostream * | fp,
|  | vtkDataArray * | s,
|  | int | num
| ) | `[protected]`

int vtkDataWriter::WriteVectorData | ( | ostream * | fp,
|  | vtkDataArray * | v,
|  | int | num
| ) | `[protected]`

int vtkDataWriter::WriteNormalData | ( | ostream * | fp,
|  | vtkDataArray * | n,
|  | int | num
| ) | `[protected]`

int vtkDataWriter::WriteTCoordData | ( | ostream * | fp,
|  | vtkDataArray * | tc,
|  | int | num
| ) | `[protected]`

int vtkDataWriter::WriteTensorData | ( | ostream * | fp,
|  | vtkDataArray * | t,
|  | int | num
| ) | `[protected]`

## Member Data Documentation

int vtkDataWriter::WriteToOutputString`[protected]`

| Definition at line 197 of file vtkDataWriter.h.

char* vtkDataWriter::OutputString`[protected]`

| Definition at line 198 of file vtkDataWriter.h.

int vtkDataWriter::OutputStringLength`[protected]`

| Definition at line 199 of file vtkDataWriter.h.

int vtkDataWriter::OutputStringAllocatedLength`[protected]`

| Definition at line 200 of file vtkDataWriter.h.

char* vtkDataWriter::FileName`[protected]`

| Definition at line 204 of file vtkDataWriter.h.

char* vtkDataWriter::Header`[protected]`

| Definition at line 205 of file vtkDataWriter.h.

int vtkDataWriter::FileType`[protected]`

| Definition at line 206 of file vtkDataWriter.h.

char* vtkDataWriter::ScalarsName`[protected]`

| Definition at line 208 of file vtkDataWriter.h.

char* vtkDataWriter::VectorsName`[protected]`

| Definition at line 209 of file vtkDataWriter.h.

char* vtkDataWriter::TensorsName`[protected]`

| Definition at line 210 of file vtkDataWriter.h.

char* vtkDataWriter::TCoordsName`[protected]`

| Definition at line 211 of file vtkDataWriter.h.

char* vtkDataWriter::NormalsName`[protected]`

| Definition at line 212 of file vtkDataWriter.h.

char* vtkDataWriter::LookupTableName`[protected]`

| Definition at line 213 of file vtkDataWriter.h.

char* vtkDataWriter::FieldDataName`[protected]`

| Definition at line 214 of file vtkDataWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkDataWriter.h